Package org.drinkless.tdlib

# Class TdApi.PaymentProviderStripe

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PaymentProvider
org.drinkless.tdlib.TdApi.PaymentProviderStripe

Enclosing class:
  `TdApi`

public static class TdApi.PaymentProviderStripe extends TdApi.PaymentProvider
Stripe payment provider.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.PaymentProvider

  `TdApi.PaymentProvider.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `needCardholderName`
  True, if the cardholder name must be provided.
  `boolean`
  `needCountry`
  True, if the user country must be provided.
  `boolean`
  `needPostalCode`
  True, if the user ZIP/postal code must be provided.
  `String`
  `publishableKey`
  Stripe API publishable key.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PaymentProviderStripe()`
  Stripe payment provider.
  `PaymentProviderStripe(String publishableKey, boolean needCountry, boolean needPostalCode, boolean needCardholderName)`
  Stripe payment provider.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### publishableKey

    public String publishableKey
    Stripe API publishable key.

  - ### needCountry

    public boolean needCountry
    True, if the user country must be provided.

  - ### needPostalCode

    public boolean needPostalCode
    True, if the user ZIP/postal code must be provided.

  - ### needCardholderName

    public boolean needCardholderName
    True, if the cardholder name must be provided.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PaymentProviderStripe

    public PaymentProviderStripe()
    Stripe payment provider.

  - ### PaymentProviderStripe

    public PaymentProviderStripe(String publishableKey, boolean needCountry, boolean needPostalCode, boolean needCardholderName)
    Stripe payment provider.
    Parameters:
      `publishableKey` - Stripe API publishable key.
      `needCountry` - True, if the user country must be provided.
      `needPostalCode` - True, if the user ZIP/postal code must be provided.
      `needCardholderName` - True, if the cardholder name must be provided.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.PaymentProvider`
    Returns:
      this.CONSTRUCTOR